Subject: Re: [PATCH] net: sched: Fix memory exposure from short TCA_U32_SEL

From: Al Viro <[email-masked]>
Date: Sun, 26 Aug 2018 22:24:21 +0100

On Sun, Aug 26, 2018 at 11:57:57AM -0700, Joe Perches wrote:

> > That, BTW, is why I hate the use of sizeof(*p) in kmalloc, etc.
> > arguments.  typeof is even worse in that respect.
> 
> True.  Semantic searches via tools like coccinelle could help here
> but those searches are quite a bit slower than straightforward greps.

Those searches are .config-sensitive as well, which can be much more
unpleasant than being slow...